
Figure - Bug #117790
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】双击音乐mini小窗，音乐应用崩溃
2023-05-06 17:08 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-06

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)（5月5日版）

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Reproducibility: Every time Fixed Version: 2023-05-11

Test Type: ST Root cause: 编码问题

Description

【前提条件】

设备已开机

后台无音乐播放

【测试步骤】

1、打开音乐小窗

2、切换至mini模式

3、双击Mini小窗

【预期结果】

3、音乐小窗变为全屏显示

【实际结果】

3、音乐小窗在变为全屏的过程中崩溃

History

#1 - 2023-05-06 18:39 - CD FW-鲁凯峰

从日志看是Music自己finish掉的

05-06 05:23:11.136   997  5536 I wm_finish_activity: [0,235876596,442,com.android.music/.MusicBrowserActivity,app-request]

需要调查下Music为什么会finish

#2 - 2023-05-06 20:09 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Priority changed from High to Normal

- Severity changed from Major to Normal

Music自己finish掉的，没有崩溃

调整问题优先级
#3 - 2023-05-09 16:26 - CD FW 曹覃刚

- Assignee changed from CD FW-鲁凯峰 to CD FW 曹覃刚

#4 - 2023-05-09 21:25 - CD FW 曹覃刚

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

Hi 王宏

此问题是由于投入了下面的提交导致的

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/196217

问题发生的原因

音乐小窗切换成全屏时,由于windowMode发生变化(从小窗切换成全屏ActivityInfo.CONFIG_WINDOW_CONFIGURATION)

Activity会执行handleRelaunchActivity操作

而MediaPlaybackService中onUnbind的方式改变了，导致Acitvity与服务断开链接

最后在ArtistAlbumBrowserFragment中自己finish掉了

    public void onServiceDisconnected(ComponentName name) {

        mActivity.finish();

    }

-------------

05-06 20:30:09.577  4266  4266 D zky0509 : MusicUtils unbindFromService

05-06 20:30:09.577  4266  4266 D zky0509 : java.lang.Throwable: zky0509

05-06 20:30:09.577  4266  4266 D zky0509 :     at com.android.music.MusicUtils.unbindFromService(MusicUtils.java:299)

05-06 20:30:09.577  4266  4266 D zky0509 :     at com.android.music.MediaPlaybackActivity.onStop(MediaPlaybackActivity.java:908)

05-06 20:30:09.577  4266  4266 D zky0509 :     at com.android.music.MusicBrowserActivity.onStop(MusicBrowserActivity.java:418)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.Instrumentation.callActivityOnStop(Instrumentation.java:1497)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.Activity.performStop(Activity.java:8324)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.ActivityThread.callActivityOnStop(ActivityThread.java:5150)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.ActivityThread.handleRelaunchActivityInner(ActivityThread.java:5713)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.ActivityThread.handleRelaunchActivity(ActivityThread.java:5632)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.servertransaction.ActivityRelaunchItem.execute(ActivityRelaunchItem.java:71)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2212)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.os.Handler.dispatchMessage(Handler.java:106)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.os.Looper.loopOnce(Looper.java:201)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.os.Looper.loop(Looper.java:288)

05-06 20:30:09.577  4266  4266 D zky0509 :     at android.app.ActivityThread.main(ActivityThread.java:7881)

05-06 20:30:09.577  4266  4266 D zky0509 :     at java.lang.reflect.Method.invoke(Native Method)

05-06 20:30:09.577  4266  4266 D zky0509 :     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-06 20:30:09.577  4266  4266 D zky0509 :     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

-------------

#5 - 2023-05-10 16:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199058 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/196217


AF:SnapdragonMusic:Fixed music finishedTC-RID: 0301-0301201IssueID: TS-R-BUG-117790Change-Id: I9d0ce90958b57020da00aeb05be1b4903d323839

#6 - 2023-05-10 16:35 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-11

- Root cause set to 编码问题

■ Current conclusion

已提交

■ My analysis

根据覃刚分析修改，已修复该问题

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/199058

#7 - 2023-05-11 13:44 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

5.11

验证通过

#8 - 2023-05-11 13:44 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-1A2212290000002151 2023-05-06 17-07-46.mp4 6.97 MB 2023-05-06 CD TEST-方永红

1706.txt 4.47 MB 2023-05-06 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/199058

